package org.ow2.orchestra.definition.element;

import java.util.List;

import org.ow2.orchestra.facade.uuid.ActivityDefinitionUUID;
import org.ow2.orchestra.services.ReceivingElement;

/**
 * Contract to be fulfilled by BPEL elements capable of receiving inbound
 * messages.
 *
 * @author Alejandro Guizar
 *
 */
public interface InboundMessageElement {

  ActivityDefinitionUUID getUUID();

  List<ReceivingElement> getReceivingElements();

  boolean isCreateInstance();
}
