package org.ow2.orchestra.env.descriptor;

import org.ow2.orchestra.env.Environment;
import org.ow2.orchestra.env.WireContext;

/**
 * parses a descriptor for obtaining a reference to the environment
 *
 * See schema docs for more details.
 *
 * @author Tom Baeyens
 * @author Guillaume Porcher (documentation)
 *
 * @see org.ow2.orchestra.env.Descriptor
 */
public class EnvironmentDescriptor extends AbstractDescriptor {

  private static final long serialVersionUID = 1L;

  public Object construct(final WireContext wireContext) {
    return Environment.getCurrent();
  }
}
