package org.ow2.orchestra.facade.exception;

/**
 *
 * Wrapper exception <b>used internally</b> by the engine to wrap standard runtime exception or child classes
 * of orchestraRuntimeException. This wrapping allows to throw the original runtime exception to the end user
 * thanks to an API intercepter.
 */
public class OrchestraWrapperException extends OrchestraRuntimeException {

  private static final long serialVersionUID = 1940795240187069829L;

  /**
   * Constructs a orchestraWrapperException with the throwable cause.
   * @param cause exception causing the abort.
   */
  public OrchestraWrapperException(final Throwable cause) {
    super(cause);
  }
}
